com.tibco.n2.service.adapter.processor

## Class ProcessorObjectFactory

- java.lang.Object
- - com.tibco.n2.service.adapter.processor.ProcessorObjectFactory

-     public class ProcessorObjectFactory
      extends java.lang.Object

  TODO Give a useful description of the type.
  Since:
    TODO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProcessorObjectFactory` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessorObjectFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `getProxyObject(java.lang.Class<T> clientInterface, java.lang.reflect.InvocationHandler handler)` TODO Describe this method
    `<T> T` | `getProxyObject(java.lang.Class<T> clientInterface, Processor objectAdapter, java.lang.Object subjectObject)` TODO Describe this method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final ProcessorObjectFactory instance

  - ### Constructor Detail

    - #### ProcessorObjectFactory

          public ProcessorObjectFactory()

  - ### Method Detail

    - #### getProxyObject

          public <T> T getProxyObject(java.lang.Class<T> clientInterface,
                                      java.lang.reflect.InvocationHandler handler)

      TODO Describe this method
      Type Parameters:
        `T` -
      Parameters:
        `clientInterface` -
        `handler` -
      Returns:

    - #### getProxyObject

          public <T> T getProxyObject(java.lang.Class<T> clientInterface,
                                      Processor objectAdapter,
                                      java.lang.Object subjectObject)

      TODO Describe this method
      Type Parameters:
        `T` -
      Parameters:
        `clientInterface` -
        `objectAdapter` -
        `subjectObject` -
      Returns:

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.